Bug 216064 - procmail avc's
procmail avc's
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 21:07 EST by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 13:04:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-11-16 21:07:19 EST
I have my ~/Mail symlinked to /mnt/raid/Mail.
I guess this makes policy unhappy, as I have a ton of these..


audit(1163322126.028:4): avc:  denied  { search } for  pid=27344 comm="procmail"
name="mnt" dev=md0 ino=64323585 scontext=system_u:system_r:procmail_t:s0
tcontext=system_u:object_r:mnt_t:s0 tclass=dir
audit(1163667725.468:47): avc:  denied  { search } for  pid=10093 comm="formail"
name="mnt" dev=md0 ino=64323585 scontext=system
_u:system_r:procmail_t:s0 tcontext=system_u:object_r:mnt_t:s0 tclass=dir

I get a bunch of those every time cron.daily runs at 4am.
Comment 1 Daniel Walsh 2006-11-17 13:04:52 EST
Yes this is a local customization.  You should run 
grep procmail /var/log/audit/audit.log | audit2allow -M myprocmail 
Then load the the custom policy.

Note You need to log in before you can comment on or make changes to this bug.